Subject: Re: bug#34957: 26.1; Minibuffer sometimes shrinks unexpectedly

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Jul 2019 18:13:52 +0200

Markus Triska <[email-masked]> writes:

> Please start Emacs with "emacs -Q", and then evaluate the form:
>
>     (with-selected-window (minibuffer-window)
>       (erase-buffer)
>       (insert (propertize "hello" 'face '(:height 3.0)))
>       (read-key)
>       (read-key)
>       (insert (propertize " there!" 'face '(:height 3.0)))
>       (read-key)
>       (erase-buffer))
>
> What I observe is:
>
>     1) "hello" is displayed in the minibuffer, and the minibuffer
>        grows so that the text is entirely visible
>     2) when I then press a key, the minibuffer unexpectedly shrinks,
>        and the same text is now no longer fully visible
>     3) when I then press another key, " there!" is added,
>        and the minibuffer is grown again

I can confirm that this bug is still present in Emacs 27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no